﻿@model IEnumerable<RestoAPI.Models.Ext.TableWithStatus>
@{
    ViewData["Title"] = "Cashiers";
}
@functions{
    string GetColor(RestoAPI.Models.DB.Order.OrderStatus type)
    {
        var color = "secondary";
        switch (type)
        {
            case RestoAPI.Models.DB.Order.OrderStatus.Available:
                color = "";
                break;
            case RestoAPI.Models.DB.Order.OrderStatus.Ordering:
                color = "warning";
                break;
            case RestoAPI.Models.DB.Order.OrderStatus.Waiting:
                color = "primary";
                break;
            case RestoAPI.Models.DB.Order.OrderStatus.Completed:
                color = "success";
                break;
        }

        return color;
    }
}
@section Styles{
    <style>
        .card progress {
            width: 100%
        }
        .card .h1 i {
            position: absolute;
            right: 20px;
        }
    </style>
}

<h1>Table Status <span style="white-space:nowrap"><span class="btn btn-secondary">Available</span> &gt; <span class="btn btn-warning">Ordering</span> &gt; <span class="btn btn-primary">Waiting</span> &gt; <span class="btn btn-success">Complete</span></span></h1>

<br/>

<div class="animated fadeIn">
    <div class="row">
        @foreach (var item in Model)
        {
            <div class="col-xs-4 col-md-3">
                <div class="card @(item.Status != RestoAPI.Models.DB.Order.OrderStatus.Available ? "card-inverse" : "" ) card-@GetColor(item.Status)">
                    <div class="card-block">
                        <div class="h1 text-muted text-xs-right m-b-2">
                            @item.Name
                            <i class="icon-people"></i>
                        </div>
                        <div class="h4 m-b-0">Rp. @item.GrandTotal.ToString("N0")</div>
                        @{ var p = (decimal)item.FinishedOrder / (item.TotalOrder > 0 ? item.TotalOrder : 1) * 100; }
                        <small class="text-muted text-uppercase font-weight-bold">@p.ToString("N0") %</small>
                        <progress class="progress progress-xs progress-info m-t-1 m-b-0" value="@item.FinishedOrder" max="@item.TotalOrder">@p.ToString("N0") %</progress>
                        @if (item.Status != RestoAPI.Models.DB.Order.OrderStatus.Available)
                        {
                            <br />
                            <button class="btn btn-secondary button-detail" data-id="@item.Id">Detail</button>
                        }
                    </div>
                </div>
            </div>
        }
    </div>
</div>

@section Aside{
    <div style="padding:20px 10px">
        <h2>Detail Order <a href="#" class="button-close">x</a></h2>
        <br />
        <br />
        <div id="content-here">

        </div>
    </div>
}

@section Scripts{
    <script>
        $(function () {
            $(".button-close").click(function () {
                $("body").removeClass("aside-menu-open").addClass("aside-menu-hidden");
            });
            $(".button-detail").click(function () {
                $(".big-loading").show();
                $(".button-close").trigger("click");
                var id = $(this).data("id");
                $.ajax({
                    url: "/cashier/gettable/" + id
                }).done(function (data) {
                    $("#content-here").empty().html(data);
                    $(".big-loading").hide();
                });
                $("body").removeClass("aside-menu-hidden").addClass("aside-menu-open");
            });
        })
    </script>
}